"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.VistaPreviaValoPagar = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _native = require("@react-navigation/native");
var _CuentaMin = require("./CuentaMin");
var _AuthContext = require("../context/Auth/AuthContext");
var _sendTransaccion = require("../hooks/sendTransaccion");
var _pubsubJs = _interopRequireDefault(require("pubsub-js"));
var _Loader = require("./Loader");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const VistaPreviaValoPagar = () => {
  const navigate = (0, _native.useNavigation)();
  const [ValorPagar, setValorPagar] = _react.default.useState(0);
  const [transaccionData, setTransaccionData] = (0, _react.useState)();
  const [loader, setloader] = (0, _react.useState)(false);
  const {
    dataUserCreditor,
    dataBank,
    token
  } = (0, _react.useContext)(_AuthContext.AuthContext);
  const route = (0, _native.useRoute)();
  (0, _react.useEffect)(() => {
    if (dataUserCreditor && dataBank && dataBank.account.accountId != dataUserCreditor.account.accountId) {
      setValorPagar(route.params.valorPagar);
      const transaccionData = {
        data: {
          debtor: {
            customer: {
              customerId: dataBank.customer.customerId,
              documentNumber: dataBank.customer.documentNumber,
              documentType: dataBank.customer.documentType,
              fullName: dataBank.customer.fullName
            },
            account: {
              accountId: dataBank.account.accountId
            }
          },
          creditor: {
            customer: {
              fullName: dataUserCreditor.customer.fullName,
              account: {
                accountId: dataUserCreditor.account.accountId
              }
            }
          },
          transaction: {
            amount: String(route.params.valorPagar.toFixed(2)),
            currency: {
              code: 'USD'
            },
            description: 'TRANSFERENCIA 01'
          }
        }
      };
      setTransaccionData(transaccionData);
    } else {
      _reactNative.Alert.alert("No se puede realizar una transaccion a una misma cuenta bancaria");
      navigate.goBack();
    }
  }, [route]);
  const send = async data => {
    try {
      console.log(data);
      const res = await (0, _sendTransaccion.sendTransaccion)(token, data);
      _pubsubJs.default.publish('transaccion', res.data);
      navigate.navigate('ConfirmarTransaccion', {
        dataTransaccion: {
          datosDebtor: {
            ...data
          },
          datosDocument: {
            ...res.data
          }
        }
      });
      componentWillMount();
    } catch (err) {
      console.log(err.response.data);
      console.log("aqui");
      componentWillMount();
    }
  };
  function componentWillMount() {
    setTimeout(() => {
      setloader(false);
    }, 3000);
  }
  const accountbind = account => {
    const accountbin = account.substring(0, 4) + '*****' + account.substring(8, 11);
    return accountbin;
  };
  if (loader) {
    return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_Loader.Loader, null));
  }
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.containerVistaPrevia
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.encabezados
  }, "Para "), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.contenedorSeccion
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.nombre
  }, dataUserCreditor === null || dataUserCreditor === void 0 ? void 0 : dataUserCreditor.customer.fullName), /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "Parar DeUna! -"), dataUserCreditor && dataUserCreditor.account ? /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "Cuenta de ahorros -", ' ', accountbind(dataUserCreditor === null || dataUserCreditor === void 0 ? void 0 : dataUserCreditor.account.accountId)) : null), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.encabezados
  }, "Valor"), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.contenedorSeccion
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.ValorPagar
  }, "$", ValorPagar ? ValorPagar.toFixed(2) : 0.0)), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.encabezados
  }, "Desde"), dataBank && dataBank.account ? /*#__PURE__*/_react.default.createElement(_CuentaMin.CuentaMin, {
    numberAccount: accountbind(dataBank.account.accountId)
  }) : null, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.encabezados
  }, "Descripcion"), /*#__PURE__*/_react.default.createElement(_reactNative.TextInput, {
    style: styles.input,
    placeholder: "\xBFQue estas pagando? (Opcional)",
    maxLength: 40
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    onPress: () => {
      send(transaccionData);
      setloader(true);
    },
    style: styles.Btncontinuar
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "Pagar")));
};
exports.VistaPreviaValoPagar = VistaPreviaValoPagar;
const styles = _reactNative.StyleSheet.create({
  textoEncabezado: {
    fontWeight: 'bold',
    fontSize: 20
  },
  encabezado: {
    width: '100%'
  },
  input: {
    backgroundColor: '#FFFFFF',
    borderStyle: 'solid',
    borderColor: 'black',
    padding: 10
  },
  Btncontinuar: {
    width: '100%',
    backgroundColor: '#FFDD00',
    padding: 15,
    marginTop: 35,
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center'
  },
  nombre: {
    fontSize: 19,
    fontWeight: 'bold',
    color: 'black'
  },
  containerVistaPrevia: {
    flex: 1,
    padding: 35,
    width: '100%',
    backgroundColor: '#FFFFFF',
    // CAMBIAR LA ALTURA LA 100% DE LA PANTALLA
    height: 650
  },
  encabezados: {
    fontWeight: 'bold',
    fontSize: 16,
    paddingTop: 10,
    paddingBottom: 10
  },
  contenedorSeccion: {
    padding: 8
  },
  ValorPagar: {
    fontSize: 36,
    fontWeight: 'bold',
    color: 'black'
  }
});
//# sourceMappingURL=VistaPreviaValoPagar.js.map